Package org.eclipse.emf.cdo.net4j

# Class CDOSessionRecoveryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.net4j.CDOSessionRecoveryException

All Implemented Interfaces:
  `Serializable`

public final class CDOSessionRecoveryException extends CDOException
An exception thrown from `RecoveringCDOSessionImpl.recoverSession()`.

Since:
  4.6
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CDOSessionRecoveryException(CDONet4jSession session)`
`CDOSessionRecoveryException(CDONet4jSession session, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`CDONet4jSession`
`getSession()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOSessionRecoveryException

public CDOSessionRecoveryException(CDONet4jSession session)

### CDOSessionRecoveryException

public CDOSessionRecoveryException(CDONet4jSession session, Throwable cause)

## Method Details

### getSession

public CDONet4jSession getSession()